Package org.apache.qpid.proton.codec.impl

# Class DataImpl

java.lang.Object
org.apache.qpid.proton.codec.impl.DataImpl

All Implemented Interfaces:
  `Data`

public class DataImpl extends Object implements Data

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.qpid.proton.codec.Data

`Data.DataType, Data.Factory`

## Constructor Summary

Constructors
Constructor
Description
`DataImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`long`
`decode(ByteBuffer buf)`
`Binary`
`encode()`
`long`
`encode(ByteBuffer buf)`
`long`
`encodedSize()`
`boolean`
`enter()`
`boolean`
`exit()`
`String`
`format()`
`void`
`free()`
`long`
`getArray()`
`Data.DataType`
`getArrayType()`
`Binary`
`getBinary()`
`boolean`
`getBoolean()`
`byte`
`getByte()`
`int`
`getChar()`
`Decimal128`
`getDecimal128()`
`Decimal32`
`getDecimal32()`
`Decimal64`
`getDecimal64()`
`DescribedType`
`getDescribedType()`
`double`
`getDouble()`
`float`
`getFloat()`
`int`
`getInt()`
`Object[]`
`getJavaArray()`
`List<Object>`
`getJavaList()`
`Map<Object,Object>`
`getJavaMap()`
`long`
`getList()`
`long`
`getLong()`
`long`
`getMap()`
`Object`
`getObject()`
`short`
`getShort()`
`String`
`getString()`
`Symbol`
`getSymbol()`
`Date`
`getTimestamp()`
`UnsignedByte`
`getUnsignedByte()`
`UnsignedInteger`
`getUnsignedInteger()`
`UnsignedLong`
`getUnsignedLong()`
`UnsignedShort`
`getUnsignedShort()`
`UUID`
`getUUID()`
`boolean`
`isArrayDescribed()`
`boolean`
`isDescribed()`
`boolean`
`isNull()`
`Data.DataType`
`next()`
`Data.DataType`
`prev()`
`void`
`putArray(boolean described, Data.DataType type)`
`void`
`putBinary(byte[] bytes)`
`void`
`putBinary(Binary bytes)`
`void`
`putBoolean(boolean b)`
`void`
`putByte(byte b)`
`void`
`putChar(int c)`
`void`
`putDecimal128(Decimal128 d)`
`void`
`putDecimal32(Decimal32 d)`
`void`
`putDecimal64(Decimal64 d)`
`void`
`putDescribed()`
`void`
`putDescribedType(DescribedType dt)`
`void`
`putDouble(double d)`
`void`
`putFloat(float f)`
`void`
`putInt(int i)`
`void`
`putJavaList(List<Object> list)`
`void`
`putJavaMap(Map<Object,Object> map)`
`void`
`putList()`
`void`
`putLong(long l)`
`void`
`putMap()`
`void`
`putNull()`
`void`
`putObject(Object o)`
`void`
`putShort(short s)`
`void`
`putString(String string)`
`void`
`putSymbol(Symbol symbol)`
`void`
`putTimestamp(Date t)`
`void`
`putUnsignedByte(UnsignedByte ub)`
`void`
`putUnsignedInteger(UnsignedInteger ui)`
`void`
`putUnsignedLong(UnsignedLong ul)`
`void`
`putUnsignedShort(UnsignedShort us)`
`void`
`putUUID(UUID u)`
`void`
`rewind()`
`long`
`size()`
`String`
`toString()`
`Data.DataType`
`type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataImpl

public DataImpl()

## Method Details

### free

public void free()

Specified by:
  `free` in interface `Data`

### clear

public void clear()

Specified by:
  `clear` in interface `Data`

### size

public long size()

Specified by:
  `size` in interface `Data`

### rewind

public void rewind()

Specified by:
  `rewind` in interface `Data`

### next

public Data.DataType next()

Specified by:
  `next` in interface `Data`

### prev

public Data.DataType prev()

Specified by:
  `prev` in interface `Data`

### enter

public boolean enter()

Specified by:
  `enter` in interface `Data`

### exit

public boolean exit()

Specified by:
  `exit` in interface `Data`

### type

public Data.DataType type()

Specified by:
  `type` in interface `Data`

### encodedSize

public long encodedSize()

Specified by:
  `encodedSize` in interface `Data`

### encode

public Binary encode()

Specified by:
  `encode` in interface `Data`

### encode

public long encode(ByteBuffer buf)

Specified by:
  `encode` in interface `Data`

### decode

public long decode(ByteBuffer buf)

Specified by:
  `decode` in interface `Data`

### putList

public void putList()

Specified by:
  `putList` in interface `Data`

### putMap

public void putMap()

Specified by:
  `putMap` in interface `Data`

### putArray

public void putArray(boolean described, Data.DataType type)

Specified by:
  `putArray` in interface `Data`

### putDescribed

public void putDescribed()

Specified by:
  `putDescribed` in interface `Data`

### putNull

public void putNull()

Specified by:
  `putNull` in interface `Data`

### putBoolean

public void putBoolean(boolean b)

Specified by:
  `putBoolean` in interface `Data`

### putUnsignedByte

public void putUnsignedByte(UnsignedByte ub)

Specified by:
  `putUnsignedByte` in interface `Data`

### putByte

public void putByte(byte b)

Specified by:
  `putByte` in interface `Data`

### putUnsignedShort

public void putUnsignedShort(UnsignedShort us)

Specified by:
  `putUnsignedShort` in interface `Data`

### putShort

public void putShort(short s)

Specified by:
  `putShort` in interface `Data`

### putUnsignedInteger

public void putUnsignedInteger(UnsignedInteger ui)

Specified by:
  `putUnsignedInteger` in interface `Data`

### putInt

public void putInt(int i)

Specified by:
  `putInt` in interface `Data`

### putChar

public void putChar(int c)

Specified by:
  `putChar` in interface `Data`

### putUnsignedLong

public void putUnsignedLong(UnsignedLong ul)

Specified by:
  `putUnsignedLong` in interface `Data`

### putLong

public void putLong(long l)

Specified by:
  `putLong` in interface `Data`

### putTimestamp

public void putTimestamp(Date t)

Specified by:
  `putTimestamp` in interface `Data`

### putFloat

public void putFloat(float f)

Specified by:
  `putFloat` in interface `Data`

### putDouble

public void putDouble(double d)

Specified by:
  `putDouble` in interface `Data`

### putDecimal32

public void putDecimal32(Decimal32 d)

Specified by:
  `putDecimal32` in interface `Data`

### putDecimal64

public void putDecimal64(Decimal64 d)

Specified by:
  `putDecimal64` in interface `Data`

### putDecimal128

public void putDecimal128(Decimal128 d)

Specified by:
  `putDecimal128` in interface `Data`

### putUUID

public void putUUID(UUID u)

Specified by:
  `putUUID` in interface `Data`

### putBinary

public void putBinary(Binary bytes)

Specified by:
  `putBinary` in interface `Data`

### putBinary

public void putBinary(byte[] bytes)

Specified by:
  `putBinary` in interface `Data`

### putString

public void putString(String string)

Specified by:
  `putString` in interface `Data`

### putSymbol

public void putSymbol(Symbol symbol)

Specified by:
  `putSymbol` in interface `Data`

### putObject

public void putObject(Object o)

Specified by:
  `putObject` in interface `Data`

### putJavaMap

public void putJavaMap(Map<Object,Object> map)

Specified by:
  `putJavaMap` in interface `Data`

### putJavaList

public void putJavaList(List<Object> list)

Specified by:
  `putJavaList` in interface `Data`

### putDescribedType

public void putDescribedType(DescribedType dt)

Specified by:
  `putDescribedType` in interface `Data`

### getList

public long getList()

Specified by:
  `getList` in interface `Data`

### getMap

public long getMap()

Specified by:
  `getMap` in interface `Data`

### getArray

public long getArray()

Specified by:
  `getArray` in interface `Data`

### isArrayDescribed

public boolean isArrayDescribed()

Specified by:
  `isArrayDescribed` in interface `Data`

### getArrayType

public Data.DataType getArrayType()

Specified by:
  `getArrayType` in interface `Data`

### isDescribed

public boolean isDescribed()

Specified by:
  `isDescribed` in interface `Data`

### isNull

public boolean isNull()

Specified by:
  `isNull` in interface `Data`

### getBoolean

public boolean getBoolean()

Specified by:
  `getBoolean` in interface `Data`

### getUnsignedByte

public UnsignedByte getUnsignedByte()

Specified by:
  `getUnsignedByte` in interface `Data`

### getByte

public byte getByte()

Specified by:
  `getByte` in interface `Data`

### getUnsignedShort

public UnsignedShort getUnsignedShort()

Specified by:
  `getUnsignedShort` in interface `Data`

### getShort

public short getShort()

Specified by:
  `getShort` in interface `Data`

### getUnsignedInteger

public UnsignedInteger getUnsignedInteger()

Specified by:
  `getUnsignedInteger` in interface `Data`

### getInt

public int getInt()

Specified by:
  `getInt` in interface `Data`

### getChar

public int getChar()

Specified by:
  `getChar` in interface `Data`

### getUnsignedLong

public UnsignedLong getUnsignedLong()

Specified by:
  `getUnsignedLong` in interface `Data`

### getLong

public long getLong()

Specified by:
  `getLong` in interface `Data`

### getTimestamp

public Date getTimestamp()

Specified by:
  `getTimestamp` in interface `Data`

### getFloat

public float getFloat()

Specified by:
  `getFloat` in interface `Data`

### getDouble

public double getDouble()

Specified by:
  `getDouble` in interface `Data`

### getDecimal32

public Decimal32 getDecimal32()

Specified by:
  `getDecimal32` in interface `Data`

### getDecimal64

public Decimal64 getDecimal64()

Specified by:
  `getDecimal64` in interface `Data`

### getDecimal128

public Decimal128 getDecimal128()

Specified by:
  `getDecimal128` in interface `Data`

### getUUID

public UUID getUUID()

Specified by:
  `getUUID` in interface `Data`

### getBinary

public Binary getBinary()

Specified by:
  `getBinary` in interface `Data`

### getString

public String getString()

Specified by:
  `getString` in interface `Data`

### getSymbol

public Symbol getSymbol()

Specified by:
  `getSymbol` in interface `Data`

### getObject

public Object getObject()

Specified by:
  `getObject` in interface `Data`

### getJavaMap

public Map<Object,Object> getJavaMap()

Specified by:
  `getJavaMap` in interface `Data`

### getJavaList

public List<Object> getJavaList()

Specified by:
  `getJavaList` in interface `Data`

### getJavaArray

public Object[] getJavaArray()

Specified by:
  `getJavaArray` in interface `Data`

### getDescribedType

public DescribedType getDescribedType()

Specified by:
  `getDescribedType` in interface `Data`

### format

public String format()

Specified by:
  `format` in interface `Data`

### toString

public String toString()

Overrides:
  `toString` in class `Object`